<template lang="pug">
BaseParam.x-runNumber(title='Run Number' ref='base'
                      :isPrimary='true' :inEdit='inEdit'
                      @edit='$emit("edit", $event)')
  .col-12.d-flex.align-items-center
    .input-group.flex-grow-1
      template(v-if="inEdit")
        .input-group-prepend
          select.custom-select(v-model.number='prefix')
            option(value="0") ?
            option(v-for="area in $options.areaList" :value="area.prefix") {{ area.name }}
        input.text-right.text-sm-center(v-if='inEdit' :id='id' v-model='editValue')
      template(v-else)
        .input-group-prepend.align-content-center
          div.mx-1 {{ getAreaName(prefix) }}
        input.text-right.text-sm-center(readonly='1' :value='value')
    AnimBlock(anim='width')
      label(v-if='inEdit' :for='id') #[i.fa.fa-edit.text-muted.px-1]
</template>
<script>
export { default } from './AppRunNumberParam.vue.js';
</script>
<style>
.b-param.x-runNumber select {
  border: 0;
  outline: none;
  background: transparent;
}

.b-param.x-runNumber {
  min-width: 12em;
}
</style>
